searchNodes=[{"doc":"Snowflake driver for Elixir.It uses the Snowflake REST API to communicate with Snowflake, with an earlier version set for JSON. There isn't an Elixir Arrow library (yet!), so it seems that setting an earlier Java version seems to give us back JSON results.Right now the library doesn't support MFA, so you'll need to either use private key auth (https://docs.snowflake.com/en/user-guide/odbc-parameters.html#using-key-pair-authentication) or connecting using a username &amp; password. A private key auth is highly recommended as you can rotate passwords easier. MFA with Snowflake is a mess.This module handles the connection to Snowflake, providing support for queries, transactions, connection backoff, logging,A Genserver logs into Snowflake for you, then uses this session for all other interactions (queries, etc) and ensuring we don't overload the Snowflake server with requests. If you issue too many requests to Snowflake, your query might be queued.","ref":"SnowflakeEx.html","title":"SnowflakeEx","type":"module"},{"doc":"","ref":"SnowflakeEx.html#child_spec/1","title":"SnowflakeEx.child_spec/1","type":"function"},{"doc":"Executes a prepared query.OptionsOptions are passed to DBConnection.execute/4, see it's documentation for all available options.Examplesiex&gt; {:ok, query} = SnowflakeEx.prepare(conn, &quot;&quot;, &quot;SELECT ? * ?&quot;) iex&gt; {:ok, %SnowflakeEx.Result{rows: [row]}} = SnowflakeEx.execute(conn, query, [2, 3]) iex&gt; row [6]","ref":"SnowflakeEx.html#execute/4","title":"SnowflakeEx.execute/4","type":"function"},{"doc":"Executes a prepared query.Returns %SnowflakeEx.Result{} on success, or raises an exception if there was an error.See: execute/4.","ref":"SnowflakeEx.html#execute!/4","title":"SnowflakeEx.execute!/4","type":"function"},{"doc":"","ref":"SnowflakeEx.html#prepare_execute/5","title":"SnowflakeEx.prepare_execute/5","type":"function"},{"doc":"","ref":"SnowflakeEx.html#prepare_execute!/5","title":"SnowflakeEx.prepare_execute!/5","type":"function"},{"doc":"","ref":"SnowflakeEx.html#query/4","title":"SnowflakeEx.query/4","type":"function"},{"doc":"A connection process name, pid or reference.A connection reference is used when making multiple requests to the same connection, see transaction/3.","ref":"SnowflakeEx.html#t:conn/0","title":"SnowflakeEx.conn/0","type":"type"},{"doc":"","ref":"SnowflakeEx.html#t:execute_option/0","title":"SnowflakeEx.execute_option/0","type":"type"},{"doc":"","ref":"SnowflakeEx.html#t:option/0","title":"SnowflakeEx.option/0","type":"type"},{"doc":"","ref":"SnowflakeEx.html#t:start_option/0","title":"SnowflakeEx.start_option/0","type":"type"},{"doc":"Helper library for interacting with Snowflakes REST API.","ref":"SnowflakeEx.HTTPClient.html","title":"SnowflakeEx.HTTPClient","type":"module"},{"doc":"","ref":"SnowflakeEx.HTTPClient.html#insert/5","title":"SnowflakeEx.HTTPClient.insert/5","type":"function"},{"doc":"","ref":"SnowflakeEx.HTTPClient.html#login/8","title":"SnowflakeEx.HTTPClient.login/8","type":"function"},{"doc":"","ref":"SnowflakeEx.HTTPClient.html#monitor_query_id/4","title":"SnowflakeEx.HTTPClient.monitor_query_id/4","type":"function"},{"doc":"","ref":"SnowflakeEx.HTTPClient.html#query/4","title":"SnowflakeEx.HTTPClient.query/4","type":"function"},{"doc":"","ref":"SnowflakeEx.HTTPClient.html#s3_download/3","title":"SnowflakeEx.HTTPClient.s3_download/3","type":"function"},{"doc":"","ref":"SnowflakeEx.Protocol.html","title":"SnowflakeEx.Protocol","type":"module"},{"doc":"","ref":"SnowflakeEx.Query.html","title":"SnowflakeEx.Query","type":"module"},{"doc":"","ref":"SnowflakeEx.Result.html","title":"SnowflakeEx.Result","type":"module"},{"doc":"","ref":"SnowflakeEx.Result.html#t:t/0","title":"SnowflakeEx.Result.t/0","type":"type"},{"doc":"Connection server for interacting from DBConnection to Snowflake. A GenServer is used to limit the amount of queries that are issued to Snowflake at one time, to prevent it from being overwhelmed.Keep an eye on the warehouses page in Snowflake to find a concurrency limit that works well for you, and then tweak as required.The pool size for HTTPoison for snowflake_pool is set to 5 by default.","ref":"SnowflakeEx.SnowflakeConnectionServer.html","title":"SnowflakeEx.SnowflakeConnectionServer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"SnowflakeEx.SnowflakeConnectionServer.html#child_spec/1","title":"SnowflakeEx.SnowflakeConnectionServer.child_spec/1","type":"function"},{"doc":"","ref":"SnowflakeEx.SnowflakeConnectionServer.html#query/2","title":"SnowflakeEx.SnowflakeConnectionServer.query/2","type":"function"},{"doc":"","ref":"SnowflakeEx.SnowflakeConnectionServer.html#query/4","title":"SnowflakeEx.SnowflakeConnectionServer.query/4","type":"function"},{"doc":"","ref":"SnowflakeEx.SnowflakeConnectionServer.html#start_link/1","title":"SnowflakeEx.SnowflakeConnectionServer.start_link/1","type":"function"},{"doc":"","ref":"SnowflakeEx.SnowflakeConnectionServer.html#stop/1","title":"SnowflakeEx.SnowflakeConnectionServer.stop/1","type":"function"},{"doc":"","ref":"SnowflakeEx.Error.html","title":"SnowflakeEx.Error","type":"exception"},{"doc":"","ref":"SnowflakeEx.Error.html#t:t/0","title":"SnowflakeEx.Error.t/0","type":"type"},{"doc":"","ref":"SnowflakeEx.QueryError.html","title":"SnowflakeEx.QueryError","type":"exception"}]